package unit

import (
	plugin "simrs-vx/internal/use-case/simgos-sync-plugin/new/unit"
)

// example of middleware
func init() {
	createPreMw = append(createPreMw,
		createMw{Name: "sync-create-unit", Func: plugin.Create})

	createSimxLogMw = append(createSimxLogMw,
		createLogMw{Name: "create-sync-log", Func: plugin.CreateLog})

	updatePreMw = append(updatePreMw,
		updateMw{Name: "sync-update-unit", Func: plugin.Update})

	deletePreMw = append(deletePreMw,
		deleteMw{Name: "sync-delete-unit", Func: plugin.Delete})
}
